      subroutine xy_order(sta,ns,phi0) ! bernd berg feb 12 2002.
c ordered start: assigns one value to all spins in sta(2,ns). 
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      dimension sta(2,ns)
      if(phi0.lt.zero.or.phi0.ge.tpi) stop "xy_order: phi0 false."
      do is=1,ns
        sta(1,is)=cos(phi0)
        sta(2,is)=sin(phi0)
      end do
      return
      end
